package org.nosqlite4j.core;

import java.io.BufferedReader;
import java.io.DataInputStream;
import java.io.FileInputStream;
import java.io.InputStreamReader;

public class Configuration {

	private String dblocation;
	private String metastore;
	private String delimiter;
	private int fileSize;
	private int fullScanFlushSize;
	private String internalDelimiter;
	private String columnOriented;
	private int readSize;

	public Configuration() {
		String tempStr[];
		try {

			FileInputStream fstream = new FileInputStream("noSQL4j-config");
			DataInputStream in = new DataInputStream(fstream);
			BufferedReader br = new BufferedReader(new InputStreamReader(in));
			String strLine;

			while ((strLine = br.readLine()) != null) {
				if (strLine.startsWith("dblocation")) {
					tempStr = strLine.split("=");
					this.dblocation = tempStr[1];

				}
				if (strLine.startsWith("metastore")) {
					tempStr = strLine.split("=");
					this.metastore = tempStr[1];

				}
				if (strLine.startsWith("delimiter")) {
					tempStr = strLine.split("=");
					this.delimiter = tempStr[1];

				}
				if (strLine.startsWith("fileSize")) {
					tempStr = strLine.split("=");
					this.fileSize = Integer.parseInt(tempStr[1]);

				}
				if (strLine.startsWith("fullScanFlushSize")) {
					tempStr = strLine.split("=");
					this.fullScanFlushSize = Integer.parseInt(tempStr[1]);

				}
				if (strLine.startsWith("internalDelimiter")) {
					tempStr = strLine.split("=");
					this.internalDelimiter = tempStr[1];

				}
				if (strLine.startsWith("columnOriented")) {
					tempStr = strLine.split("=");
					this.columnOriented = tempStr[1];

				}
				if (strLine.startsWith("readSize")) {
					tempStr = strLine.split("=");
					this.readSize = Integer.parseInt(tempStr[1]);

				}
			}
			in.close();

		} catch (Exception e) {
			e.printStackTrace();
		}

	}

	public String getDBLoc() {
		return this.dblocation;
	}

	public String getmetaStore() {
		return this.metastore;
	}

	public String getDelimter() {
		return this.delimiter;
	}

	public int getfileSize() {
		return fileSize;
	}

	public int getfullScanFlushSize() {
		return fullScanFlushSize;
	}

	public String getinternalDelimiter() {
		return internalDelimiter;
	}

	public String getcolumnOriented() {
		return columnOriented;
	}

	public int getreadSize() {
		return readSize;
	}

}
